Portix-PHP 0.4 Index.PHP Directory Traversal Vulnerability

2002-02-04T00:00:00
ID EDB-ID:21277
Type exploitdb
Reporter frog
Modified 2002-02-04T00:00:00

Description

Portix-PHP 0.4 Index.PHP Directory Traversal Vulnerability. CVE-2002-2084. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/4038/info

Portix-PHP is freely available web portal software. It is written in PHP and will run on most Unix and Linux variants.

Portix-PHP is prone to directory traversal attacks. The script index.php does not sufficiently filter '../' sequences from web requests, making it possible for an attacker to browse the filesystem of the host running the vulnerable software. Arbitrary web-readable files may be viewed by an attacker.

Successful exploitation may cause sensitive information to be disclosed to the attacker. Information gathered in this manner may be used to aid in further attacks against the host. 

www.hostportix.com/index.php?l=../../../etc/passwd